"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = require("../../../parsers/w3x/w3u/file");
const itemmodifications_1 = require("./itemmodifications");
const objects_1 = require("./objects");
const unitmodifications_1 = require("./unitmodifications");
class MapModifications {
    constructor(unitMeta, unitData) {
        this.units = new objects_1.default(unitmodifications_1.default, unitMeta, unitData);
        this.items = new objects_1.default(itemmodifications_1.default, unitMeta, unitData);
    }
    load(map) {
        const { w3u, w3t } = map.readModifications();
        if (w3u) {
            this.units.load(w3u.originalTable, w3u.customTable);
        }
        if (w3t) {
            this.items.load(w3t.originalTable, w3t.customTable);
        }
    }
    save(map) {
        if (this.units.objects.size) {
            const file = new file_1.default();
            file.version = 2;
            this.units.save(file.originalTable, file.customTable);
            map.set('war3map.w3u', file.save());
        }
    }
}
exports.default = MapModifications;
//# sourceMappingURL=mapmodifications.js.map