"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ObjectModifications {
    constructor(parent, oldId, newId, modifications) {
        this.modifications = new Map();
        this.parent = parent;
        this.oldId = oldId;
        this.newId = newId;
        for (const modification of modifications) {
            this.modifications.set(modification.id, modification.value);
        }
    }
    get(id) {
        let value = this.modifications.get(id);
        if (value === undefined) {
            const name = this.parent.metaData.getProperty(id, 'field');
            value = this.parent.data.getProperty(this.oldId, name);
        }
        return value;
    }
    set(id, value) {
        if (value === undefined) {
            this.modifications.delete(id);
        }
        else {
            this.modifications.set(id, value);
        }
    }
}
exports.default = ObjectModifications;
//# sourceMappingURL=objectmodifications.js.map