import Shader from '../../gl/shader';
import ParticleEmitter2Object from './particleemitter2object';
import RibbonEmitterObject from './ribbonemitterobject';
import EventObjectEmitterObject from './eventobjectemitterobject';
import ParticleEmitter2 from './particleemitter2';
import RibbonEmitter from './ribbonemitter';
import EventObjectSplEmitter from './eventobjectsplemitter';
import EventObjectUbrEmitter from './eventobjectubremitter';
export declare const BYTES_PER_OBJECT = 60;
export declare const FLOATS_PER_OBJECT: number;
export declare const BYTE_OFFSET_P0 = 0;
export declare const BYTE_OFFSET_P1 = 12;
export declare const BYTE_OFFSET_P2 = 24;
export declare const BYTE_OFFSET_P3 = 36;
export declare const BYTE_OFFSET_HEALTH = 48;
export declare const BYTE_OFFSET_COLOR = 52;
export declare const BYTE_OFFSET_TAIL = 56;
export declare const BYTE_OFFSET_LEFT_RIGHT_TOP = 57;
export declare const FLOAT_OFFSET_P0: number;
export declare const FLOAT_OFFSET_P1: number;
export declare const FLOAT_OFFSET_P2: number;
export declare const FLOAT_OFFSET_P3: number;
export declare const FLOAT_OFFSET_HEALTH: number;
export declare const BYTE_OFFSET_TEAM_COLOR = 57;
export declare const EMITTER_PARTICLE2 = 0;
export declare const EMITTER_RIBBON = 1;
export declare const EMITTER_SPLAT = 2;
export declare const EMITTER_UBERSPLAT = 3;
export declare const EMITTER_PARTICLE2_TEXTURE_OFFSET = 1000;
export declare const EMITTER_EVENT_TEXTURE_OFFSET = 10000;
export declare const SETTING_PARTICLES_HIGH = 2;
export declare type GeometryEmitter = ParticleEmitter2 | RibbonEmitter | EventObjectSplEmitter | EventObjectUbrEmitter;
export declare type GeometryEmitterObject = ParticleEmitter2Object | RibbonEmitterObject | EventObjectEmitterObject;
export declare function renderEmitter(emitter: GeometryEmitter, shader: Shader): void;
